Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • Feb 15 2018 02:52
    @jpitts banned @awdawdwawad
  • Nov 17 2017 21:02
    @jpitts banned @Muskyyyy
  • Nov 17 2017 21:02
    @jpitts banned @MuskyHusky1
  • Oct 21 2017 21:23
    @jpitts banned @Musk11
richbram
@richbram
I know this is not everyone's favorite topic, but I have been hacking through getting pyethapp running on windows 10. I would say I am 90% there, but am having same problems get pyethash to build (using MGWIN) and for the setup script to recognize that I have a running leveldb environment and skip that build. I was able to find a bunch of helpful posts to get me this far, but I am still short. Anyone want to help me? I am willing to put together a HOWTO document once it works.
richbram
@richbram
i made some more progress today, got pyehash to build
now working on an error installing miniupnpc
richbram
@richbram
seems dead here, guess I'll go try with geth
Simran Kedia
@simrankedia

Hi,
I am trying to setup pyethapp development environment. I used
($ mkvirtualenv pyethapp)
$ git clone https://github.com/ethereum/pyethapp
$ cd pyethapp
$ USE_PYETHEREUM_DEVELOP=1 python setup.py develop

However, I am getting the error as:
Writing /var/folders/rp/l3y_m3392dqcgc_77m8f_ks00000gn/T/easy_install-9ohquD/ethereum-2.1.1/setup.cfg
Running ethereum-2.1.1/setup.py -q bdist_egg --dist-dir /var/folders/rp/l3y_m3392dqcgc_77m8f_ks00000gn/T/easy_install-9ohquD/ethereum-2.1.1/egg-dist-tmp-tW2_JB
error: Setup script exited with error in ethereum setup command: 'tests_require' must be a string or list of strings containing valid project/version requirement specifiers; Unordered types are not allowed

Can someone please help?

Muhammad Faizan
@faizan2590
@simrankedia Hi, I also tried am getting the same error. If you by any chance figure out the solution.
cai
@DevinCai
hi
Sai Chaitanya Tirumerla
@stirumer
hey @simrankedia , @faizan2590 - I manually installed ethereum == 2.3.0 from https://pypi.python.org/simple/ethereum/ and change requirements.txt file with ethereum=2.3.0 instead of 2.1.1 and pycryptodome=3.4.7. Try again to install
Kevin Carter
@tidymonkey81
is pyethapp:master the most stable branch?
Sai Chaitanya Tirumerla
@stirumer
@tidymonkey81 i would guess so - i used develop branch though , i havent had any problems.
alchemist
@pblin
Anyone knows about this problem?
running app.py from PyCharm
from . import config as app_config
ValueError: Attempted relative import in non-package
Sai Chaitanya Tirumerla
@stirumer
hey @pblin - how are you running it, do you see the same issue when you are running as python pyethapp/app.py or just running as python app.py
yuanchao
@yuanaichi
WARNING:eth.sync.task no protocols available
WARNING:eth.sync.task syncing failed
who know this error
I want to run casper testnet
yuanchao
@yuanaichi
who know other casper testnet enode ?
roninkaizen
@roninkaizen
yqlcoken
@yqlcoken_twitter
hello
DmytroPaliichuk
@DmytroPaliichuk

Hi folks, I want to connect to my privet blockchain using PyEthApp. My privet blockchain was upped with geth

"geth --datadir ./myDataDir --networkid 1114 --rpc --rpcport "8545" --rpccorsdomain "*" console 2>> myEth.log"

, so I am trying to connect using following

"pyethapp -c eth.network_id=1114 -b enode://....@[::]:30303 run --console".

And I always get following error “Address already in use: ('0.0.0.0', 30303)”

Could any help me? Thanks a lot.

hansir
@mhan11
pyethapp sync the blocks too slow,Can it be used in an exchange code?
Arthur Tazhitdinov
@osteotek
Guys, can someone answer, is it possible to connect to pyethapp node with Mist?
Alexander Mühle
@alexandermuehle
I havent tried it but you should be able to connect to pyethapp via http RPC, you can't use IPC however, so it will be less secure @osteotek
Arthur Tazhitdinov
@osteotek
@alexandermuehle yeah, I'm getting no luck with usual way of "--rpc http://HTTP://127.0.0.1:8545". Should I enable API modules somehow when starting pyethapp node, like with geth?
Alexander Mühle
@alexandermuehle
Pyethapp rpc port is 4000
Arthur Tazhitdinov
@osteotek
I remapped port to 8545. I'm able to connect to it from python scripts with web3.py, I just can't connect mist (or geth) to it
Andre Miras
@AndreMiras
Hi here!
Andre Miras
@AndreMiras
I've published a pull request that brings great speed improvement to account create/unlock :smile:
Please review it here:
ethereum/pyethapp#293
chandan kuiry
@chandankuiry
how can i implement pbft algorithm using python.can anyone share me some github tutorial
HenrikMoe
@HenrikMoe
Hi guys when I enter pyethapp run im getting an error stating resource temporarily unavailable. Anyone have a suggestion?
Piper Merriam
@pipermerriam
@/all pyethapp does not have a dedicated maintainer or development team and is likely to be formally deprecated/sunseted. If you are looking for a python ethereum client come check out trinity (currently found in the py-evm repository and under the py-evm gitter channel ). It is built on top of pyevm (replacement for pyethereum). It is actively maintained and developed and quickly approaching the first public alpha release.
drandreaskrueger
@drandreaskrueger
Which Web3.py version do you trust the most?
See https://github.com/ethereum/web3.py/issues/808#issuecomment-385982456
Adi
@maladi17
Hi,
how can I set a private network in
pyethapp with a couple of local nodes?
or a local testnet with a couple of nodes?
Matheus Melo
@matheuscmelo
hey guys. i'd like to understand the ethereum blockchain and smartcontracts, like how it works in code level. for example, which parts of the code are used when a smartcontract is created and performed. how and where can i learn this?
williamcarry
@williamcarry
hi,how can connect ethereum main network with json-rpc
Veselin Penev
@vesellov
Hi Guys. I am having issues running pyethapp on Ubuntu. trying to build with virtualenv and pip and getting such error: ``` ... Using cached https://files.pythonhosted.org/packages/f9/53/922c7a15116e52cd7340f81b83322d5ec9d38668cd78d1a0c7e75dfce8f2/rlp-0.6.0.tar.gz
Collecting devp2p>=0.9.3 (from -r requirements.txt (line 15))
Using cached https://files.pythonhosted.org/packages/be/69/80f0122014bac80e669960be46ea916bb8c062a203125917c43a49eba97f/devp2p-0.9.3.tar.gz
Complete output from command python setup.py egg_info:
Link to http://pypi.python.org/simple/pytest-runner/ ***BLOCKED*** by --allow-hosts

Couldn't find index page for 'pytest-runner' (maybe misspelled?)

Link to http://pypi.python.org/simple/ ***BLOCKED*** by --allow-hosts

No local packages or download links found for pytest-runner>2.0,<3
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/tmp/pip-install-hCMgqb/devp2p/setup.py", line 56, in <module>
    tests_require=test_requirements
  File "/tmp/python2_7_14/lib/python2.7/distutils/core.py", line 111, in setup
    _setup_distribution = dist = klass(attrs)
  File "/tmp/venv2714/lib/python2.7/site-packages/distribute-0.6.24-py2.7.egg/setuptools/dist.py", line 221, in __init__
    self.fetch_build_eggs(attrs.pop('setup_requires'))
  File "/tmp/venv2714/lib/python2.7/site-packages/distribute-0.6.24-py2.7.egg/setuptools/dist.py", line 245, in fetch_build_eggs
    parse_requirements(requires), installer=self.fetch_build_egg
  File "/tmp/venv2714/lib/python2.7/site-packages/distribute-0.6.24-py2.7.egg/pkg_resources.py", line 576, in resolve
    dist = best[req.key] = env.best_match(req, self, installer)
  File "/tmp/venv2714/lib/python2.7/site-packages/distribute-0.6.24-py2.7.egg/pkg_resources.py", line 821, in best_match
    return self.obtain(req, installer) # try and download/install
  File "/tmp/venv2714/lib/python2.7/site-packages/distribute-0.6.24-py2.7.egg/pkg_resources.py", line 833, in obtain
    return installer(requirement)
  File "/tmp/venv2714/lib/python2.7/site-packages/distribute-0.6.24-py2.7.egg/setuptools/dist.py", line 294, in fetch_build_egg
    return cmd.easy_install(req)
  File "/tmp/venv2714/lib/python2.7/site-packages/distribute-0.6.24-py2.7.egg/setuptools/command/easy_install.py", line 583, in easy_install
    raise DistutilsError(msg)
distutils.errors.DistutilsError: Could not find suitable distribution for Requirement.parse('pytest-runner>2.0,<3')  ```
Veselin Penev
@vesellov
probably this is the issue : Link to http://pypi.python.org/simple/ ***BLOCKED*** by --allow-hosts but i am not getting that for other projects ...
cdetrio
@cdetrio
@vesellov pyethapp is being deprecated https://github.com/ethereum/pyethapp/pull/297/ go try trinity instead https://github.com/ethereum/trinity
Veselin Penev
@vesellov
oh... that is sad... let me try. Thanks @cdetrio !
rechardwang
@rechardwang
hello
jeffreyluynu
@jeffreyluynu
hi
byehack
@byehack
hello
have you a module for gitter api?
byehack
@byehack
except gitterpy. it isnt update.
IR-Consensus
@IR-Consensus

Hello
I want use of pyethapp(pydevp2p) for run p2p networking with core Ethereum.
my goal is to network for connect Organizations for recruitment and Connect the startup groups together in my country.

am I able to do it with this library?

Gourav
@gourav913_gitlab
Hello all. i am getting error during install pytheapp error:Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-3i yxn9mb/gipc/